{
  "schema_version": "1.4.0",
  "id": "GHSA-h63c-ff5w-hmx7",
  "modified": "2022-05-02T06:12:33Z",
  "published": "2022-05-02T06:12:33Z",
  "aliases": [
    "CVE-2010-0411"
  ],
  "details": "Multiple integer signedness errors in the (1) __get_argv and (2) __get_compat_argv functions in tapset/aux_syscalls.stp in SystemTap 1.1 allow local users to cause a denial of service (script crash, or system crash or hang) via a process with a large number of arguments, leading to a buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-0411"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=559719"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9675"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2010-February/035201.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2010-February/035261.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2010-04/msg00006.html"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=oss-security&m=126530657715364&w=2"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/38426"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/38680"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/38765"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/38817"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/39656"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1023664"
    },
    {
      "type": "WEB",
      "url": "http://sourceware.org/bugzilla/show_bug.cgi?id=11234"
    },
    {
      "type": "WEB",
      "url": "http://sourceware.org/git/gitweb.cgi?p=systemtap.git%3Ba=commit%3Bh=a2d399c87a642190f08ede63dc6fc434a5a8363a"
    },
    {
      "type": "WEB",
      "url": "http://sourceware.org/git/gitweb.cgi?p=systemtap.git;a=commit;h=a2d399c87a642190f08ede63dc6fc434a5a8363a"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2010-0124.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2010-0125.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/38120"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1001"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-02-08T20:30:00Z"
  }
}